--天墉城
--秦野

--脚本号
x101004_g_scriptId=101004

--事件交互入口
function x101004_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]仙靈戰可不光靠個人的能力，隊友的能力也是很重要的[-]")

	AddNumText(scene,x101004_g_scriptId,"仙靈戰",-1,0)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项
function x101004_OnEventRequest( scene,selfId,targetId,eventId ,index)
	if index==0 then
		BeginEvent(scene)
		AddText(scene,"#{5604}")
		
		AddNumText(scene,x101004_g_scriptId,"我要參加",-1,10)
		AddNumText(scene,x101004_g_scriptId,"便捷組隊",-1,11,0,401)	
		AddNumText(scene,x101004_g_scriptId,"活動說明",-1,12)	
		AddNumText(scene,x101004_g_scriptId,"返回",-1,13)
			
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	elseif index==10 then
		PvpEnroll(scene,selfId,targetId,2)
	elseif index==11 then

	elseif index==12 then
			BeginEvent(scene)
		AddText(scene,"#{5603}")
	 	AddNumText(scene,x101004_g_scriptId,"返回",-1,13)	
		EndEvent(scene)
			DispatchEventList(scene,selfId,targetId,true)
	elseif index==13 then
		BeginEvent(scene)
		AddText(scene,"#{5604}")
		
		AddNumText(scene,x101004_g_scriptId,"仙靈戰",-1,0)
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	elseif index==14 then
		GatherTeamMem(scene,selfId)
	elseif index==15 then
		BeginEvent(scene)
		AddText(scene,"#{5604}")
		
		AddNumText(scene,x101004_g_scriptId,"我要參加",-1,10)
		AddNumText(scene,x101004_g_scriptId,"便捷組隊",-1,11,0,401)	
		AddNumText(scene,x101004_g_scriptId,"活動說明",-1,12)	
		AddNumText(scene,x101004_g_scriptId,"返回",-1,13)
			
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	end
end

function x101004_OnTriggerEvent(scene, selfId, targetId, stringInfo, index)
	if index==1 then
		BeginEvent(scene)
		AddText(scene,stringInfo)
		print(stringInfo)
		
		AddNumText(scene,x101004_g_scriptId,"集合隊員",-1,14)
		AddNumText(scene,x101004_g_scriptId,"返回",-1,15)
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	elseif index==2 then
		BeginEvent(scene)
		AddText(scene,stringInfo)
		print(stringInfo)
		
		AddNumText(scene,x101004_g_scriptId,"返回",-1,15)
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	end
end